uk.gov.hmrc.ct.accounts.frs105.boxes

# AC435

###
Related Docs: class AC435 | package boxes

#### object AC435 extends Calculated[AC435, Frs105AccountsBoxRetriever with FilingAttributesBoxValueRetriever] with ProfitOrLossFinancialYearCalculator with Serializable

Linear Supertypes
Serializable, Serializable, ProfitOrLossFinancialYearCalculator, DebitAwareCalculation, Calculated[AC435, Frs105AccountsBoxRetriever with FilingAttributesBoxValueRetriever], AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. AC435
2. Serializable
3. Serializable
4. ProfitOrLossFinancialYearCalculator
5. DebitAwareCalculation
6. Calculated
7. AnyRef
8. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

5. #### def calculate(boxRetriever: Frs105AccountsBoxRetriever with FilingAttributesBoxValueRetriever): AC435

   Definition Classes
     AC435 → Calculated

6. #### def calculateAC435(aC12: AC12, aC405: AC405, aC410: AC410, aC415: AC415, aC420: AC420, aC425: AC425, aC34: AC34): AC435

   Definition Classes
     ProfitOrLossFinancialYearCalculator

7. #### def calculateAC436(aC13: AC13, aC406: AC406, aC411: AC411, aC416: AC416, aC421: AC421, aC426: AC426, aC35: AC35): AC436

   Definition Classes
     ProfitOrLossFinancialYearCalculator

8. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

9. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

10. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

11. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

12. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

13. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

14. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

15. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

16. #### final def notify(): Unit

    Definition Classes
      AnyRef

17. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

18. #### final def sum[T](boxes: CtOptionalInteger*)(builder: (Option[Int]) ⇒ T): T

    Attributes
      protected
    Definition Classes
      DebitAwareCalculation

19. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

20. #### def toString(): String

    Definition Classes
      AnyRef → Any

21. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

22. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

23. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Serializable

### Inherited from ProfitOrLossFinancialYearCalculator

### Inherited from DebitAwareCalculation

### Inherited from Calculated[AC435, Frs105AccountsBoxRetriever with FilingAttributesBoxValueRetriever]

### Inherited from AnyRef

### Inherited from Any

### Ungrouped